{% extends 'default_anonymous.html' %}
{% load django_bootstrap5 %}

{% block body %}
<div class="container">
  <div class="row">
    <div class="col-md-6 col-md-offset-3">
      <form class="login-panel panel panel-default add-top-margin" method="post">{% csrf_token %}
        <div class="panel-heading">
          <h3 class="panel-title">Enter new password</h3>
        </div>
        <div class="panel-body">
          <fieldset>
            {{ form.errors }}
            {% for field in form %}
              <div class="form-group">
                {% if field.errors %}
                  {% for error in field.errors %}
                    <div class="row">
                      <div class="col-lg-8">
                        <span class="label label-danger">{{ error|escape }}</span>
                      </div>
                    </div>
                  {% endfor %}
                {% endif %}
                {% bootstrap_field field %}
              </div>
            {% endfor %}
            <button type="submit" class="btn btn-primary btn-block">Change my password</button>
          </fieldset>
        </div>
      </form>
    </div>
  </div>
</div>

{% endblock %}
